<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddImeExclusionNumberGroupReq StructType
 * @subpackage Structs
 */
class AddImeExclusionNumberGroupReq extends APIRequest
{
    /**
     * The imeExclusionNumberGroup
     * @var XImeExclusionNumberGroup
     */
    public $imeExclusionNumberGroup;
    /**
     * Constructor method for AddImeExclusionNumberGroupReq
     * @uses AddImeExclusionNumberGroupReq::setImeExclusionNumberGroup()
     * @param XImeExclusionNumberGroup $imeExclusionNumberGroup
     */
    public function __construct(XImeExclusionNumberGroup $imeExclusionNumberGroup = null)
    {
        $this
            ->setImeExclusionNumberGroup($imeExclusionNumberGroup);
    }
    /**
     * Get imeExclusionNumberGroup value
     * @return XImeExclusionNumberGroup|null
     */
    public function getImeExclusionNumberGroup()
    {
        return $this->imeExclusionNumberGroup;
    }
    /**
     * Set imeExclusionNumberGroup value
     * @param XImeExclusionNumberGroup $imeExclusionNumberGroup
     * @return AddImeExclusionNumberGroupReq
     */
    public function setImeExclusionNumberGroup(XImeExclusionNumberGroup $imeExclusionNumberGroup = null)
    {
        $this->imeExclusionNumberGroup = $imeExclusionNumberGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddImeExclusionNumberGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
